import 'package:diameter/main.dart';
import 'package:diameter/objectbox.g.dart';

@Entity(uid: 3095978685310268382)
class Accuracy {
  static final Box<Accuracy> box = objectBox.store.box<Accuracy>();

  int id;
  String value;
  bool forCarbsRatio;
  bool forPortionSize;
  int? confidenceRating;
  String? notes;

  Accuracy({
    this.id = 0,
    this.value = '',
    this.forCarbsRatio = false,
    this.forPortionSize = false,
    this.confidenceRating,
    this.notes,
  });

  static Accuracy? get(int id) => box.get(id);
  static List<Accuracy> getAll() {
    QueryBuilder<Accuracy> all = box.query()..order(Accuracy_.confidenceRating);
    return all.build().find();
  }
  static void put(Accuracy accuracy) => box.put(accuracy);
  static void remove(int id) => box.remove(id);

  static List<Accuracy> getAllForPortionSize() {
    QueryBuilder<Accuracy> allForPortionSize = box
        .query(Accuracy_.forPortionSize.equals(true))
      ..order(Accuracy_.confidenceRating);
    return allForPortionSize.build().find();
  }

  static List<Accuracy> getAllForCarbsRatio() {
    QueryBuilder<Accuracy> allForCarbsRatio = box
        .query(Accuracy_.forCarbsRatio.equals(true))
      ..order(Accuracy_.confidenceRating);
    return allForCarbsRatio.build().find();
  }
}
