import 'package:diameter/main.dart';
import 'package:objectbox/objectbox.dart';

@Entity(uid: 8362795406595606110)
class LogEventType {
  static final Box<LogEventType> box = objectBox.store.box<LogEventType>();

  int id;
  String value;
  bool hasEndTime;
  int? defaultReminderDuration;
  String? notes;

  LogEventType({
    this.id = 0,
    this.value = '',
    this.hasEndTime = false,
    this.defaultReminderDuration,
    this.notes,
  });

  static LogEventType? get(int id) => box.get(id);
  static List<LogEventType> getAll() => box.getAll();
  static void put(LogEventType logEventType) => box.put(logEventType);
  static void remove(int id) => box.remove(id);
}
