import 'package:diameter/main.dart';
import 'package:diameter/models/accuracy.dart';
import 'package:diameter/models/meal_category.dart';
import 'package:diameter/models/meal_portion_type.dart';
import 'package:objectbox/objectbox.dart';

@Entity(uid: 1283034494527412242)
class MealSource {
  static final Box<MealSource> box = objectBox.store.box<MealSource>();

  int id;
  String value;
  String? notes;

  final defaultMealCategory = ToOne<MealCategory>();
  final defaultMealPortionType = ToOne<MealPortionType>();
  final defaultCarbsRatioAccuracy = ToOne<Accuracy>();
  final defaultPortionSizeAccuracy = ToOne<Accuracy>();

  MealSource({
    this.id = 0,
    this.value = '',
    this.notes,
  });

  static MealSource? get(int id) => box.get(id);
  static List<MealSource> getAll() => box.getAll();
  static void put(MealSource mealSource) => box.put(mealSource);
  static void remove(int id) => box.remove(id);
}
